<?php
# Get Theme Options
/*-------------------------------*/
function lustrous_get_option( $name ) {
	$get_options = get_option( 'lustrous_options' );
	
	if( !empty( $get_options[$name] ))
		return $get_options[$name];
		
	return false ;
}

# Get Other Templates 
/*-----------------------------*/
function lustrous_include($template){
	get_template_part ( get_template_directory() . '/inc/'.$template.'.php' );
}

#Excerpt Length
function custom_excerpt_length( $length ) {
	return 85;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

# Site Title
	function lustrous_wp_title( $title, $sep ) {
	        if ( is_feed() )
	                return $title;
	        $title .= get_bloginfo( 'name' );
	        $site_description = get_bloginfo( 'description', 'display' );
	        if ( $site_description && ( is_home() || is_front_page() ) )
	                $title = "$title $sep $site_description";
	        return $title;
	}
	add_filter( 'wp_title', 'lustrous_wp_title', 10, 2 );
	
	# No Title
	function lustrous_the_title ( $title ) {
	
	        if ( in_the_loop() && ! is_page() ) {
	                if ( ! $title )
	                        $title = __( 'Untitled', 'lustrous' );
	        }
	        return $title;
	
	}
	add_filter( 'the_title', 'lustrous_the_title' );


# Add Social Profile For Author 
/*-----------------------------*/
function lustrous_extend_author_profile( $authorfields )
{
$authorfields['twitter'] = 'Twitter Username';

return $authorfields;
}
add_filter('user_contactmethods','lustrous_extend_author_profile');

# Comments Function (Do not Edit)  
/*-------------------------- */
if ( ! function_exists( 'lustrous_comment' ) ) :

function lustrous_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;

	if ( 'pingback' == $comment->comment_type || 'trackback' == $comment->comment_type ) : ?>
	<li id="comment-<?php comment_ID(); ?>" <?php comment_class(); ?>>
		<div class="comment-body">
			<?php _e( 'Pingback:', 'lustrous' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( 'Edit', 'lustrous' ), '<span class="edit-link">', '</span>' ); ?>
		</div>

	<?php else : ?>
	<li id="comment-<?php comment_ID(); ?>" <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ); ?>>
		
			<div class="comment-meta">
				<figure class="comment-avatar">
    	            <?php echo get_avatar( $comment, 48 ); ?>
                </figure>	
				
				<div class="comment-metadata">
				    <?php comment_author_link(); ?>
                    <span class="datetime"><?php comment_date('F j, Y'); ?></span>					
					<?php edit_comment_link( __( 'Edit', 'lustrous' ), '<span class="edit-link">', '</span>' ); ?>
				</div><!-- .comment-metadata -->

				<?php if ( '0' == $comment->comment_approved ) : ?>
       				<p class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'lustrous' ); ?></p>
				<?php endif; ?>
		        <div class="comment-content">
				    <?php comment_text(); ?>
			    </div><!-- .comment-content ends -->
                 
				<div class="reply">
				    <?php comment_reply_link( array_merge( $args, array( 'add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			    </div><!-- .reply --> 
            </div><!-- .comment-meta ends-->
		<!-- .comment-body -->
	<?php
	endif;
}
endif; // ends check for lustrous_comment()

# Queue Comments Reply
/*-------------------------*/
function lustrous_comments_queue_js(){
if ( (!is_admin()) && is_singular() && comments_open() )
  wp_enqueue_script( 'comment-reply' );
}
add_action('wp_print_scripts', 'lustrous_comments_queue_js');

# Theme Scripts
/*-------------------------*/
function lustrous_scripts() {
   wp_enqueue_style( 'style', get_stylesheet_uri() ); 
	wp_enqueue_script( 'lustrous-common-scripts', get_template_directory_uri() . '/js/common-scripts.js', array( 'jquery' ) );	 
	 wp_register_style('googleFonts1', 'http://fonts.googleapis.com/css?family=Varela+Round');
    wp_enqueue_style( 'googleFonts1'); 

	}
add_action( 'wp_enqueue_scripts', 'lustrous_scripts' );

# Get Most Recent posts from Category
/*-------------------------*/
function lustrous_last_posts_cat($numberOfPosts = 5 , $cats = 1){
	global $post;
	$orig_post = $post;

	$lastPosts = get_posts('category='.$cats.'&numberposts='.$numberOfPosts);
	foreach($lastPosts as $post): setup_postdata($post);
?>
<li class="mbottom">
	<?php if ( function_exists("has_post_thumbnail") && has_post_thumbnail() ) : ?>			
		<div class="post-thumbnail mright">
			<a href="<?php the_permalink(); ?>" title="<?php printf( __( 'Permalink to %s', 'lustrous' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_post_thumbnail('thumbnail'); ?></a>
		</div><!-- post-thumbnail /-->
	<?php endif; ?>
	<p><a href="<?php the_permalink(); ?>"><?php the_title();?></a></p>
</li>
<?php endforeach;
	$post = $orig_post;
}
?>